// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
export var CollectionFormat;
(function (CollectionFormat) {
    CollectionFormat["CSV"] = "csv";
    CollectionFormat["Simple"] = "simple";
    CollectionFormat["SSV"] = "ssv";
    CollectionFormat["TSV"] = "tsv";
    CollectionFormat["Pipes"] = "pipes";
    CollectionFormat["Multi"] = "multi";
    CollectionFormat["Form"] = "form";
})(CollectionFormat || (CollectionFormat = {}));
export const collectionFormatToDelimMap = {
    [CollectionFormat.CSV.toString()]: ",",
    [CollectionFormat.Simple.toString()]: ",", // csv and simple are used interchangeably
    [CollectionFormat.SSV.toString()]: " ",
    [CollectionFormat.TSV.toString()]: "\t",
    [CollectionFormat.Pipes.toString()]: "|",
    [CollectionFormat.Multi.toString()]: undefined,
    [CollectionFormat.Form.toString()]: undefined, // multi and form are used interchangeably
};
//# sourceMappingURL=collection-format.js.map